package handler

import (
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/kernel"
)

type MainHandler struct {
	app              kernel.AppContract
	convertorHandler ConvertorHandlerContract
	menuHandler      MenuHandlerContract
}

func NewMainHandler(
	app kernel.AppContract,
	convertorHandler ConvertorHandlerContract,
	menuHandler MenuHandlerContract,
) *MainHandler {
	return &MainHandler{
		app:              app,
		convertorHandler: convertorHandler,
		menuHandler:      menuHandler,
	}
}

func (h MainHandler) Start() {
	if h.app.GetLocalizerService().IsStartWithLanguageSelection() {
		h.menuHandler.LanguageSelection()
		return
	}

	h.convertorHandler.MainConvertor()
}
