package menu

import (
	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/lang"
)

func MainMenuSettings(
	actionMainSettings func(),
	actionFFPathSelection func(),
) *fyne.Menu {
	quit := fyne.NewMenuItem(lang.L("exit"), nil)
	quit.IsQuit = true

	settingsSelection := fyne.NewMenuItem(lang.L("settings"), actionMainSettings)
	ffPathSelection := fyne.NewMenuItem(lang.L("changeFFPath"), actionFFPathSelection)

	return fyne.NewMenu(lang.L("settings"), settingsSelection, ffPathSelection, quit)
}

func MainMenuHelp(
	actionAbout func(),
	actionHelpFFplay func(),
) *fyne.Menu {
	about := fyne.NewMenuItem(lang.L("about"), actionAbout)
	helpFFplay := fyne.NewMenuItem(lang.L("helpFFplay"), actionHelpFFplay)

	return fyne.NewMenu(lang.L("help"), helpFFplay, about)
}
